
class Do < Process
	class_property simulation = false

	def self.run(cmd : String, params = [] of String)
		if @@simulation
			puts "simulation, do: #{cmd} #{params.join(" ")}"
			Process::Status.new 0
		else
			Process.run cmd, params
		end
	end

	def self.run(cmd : String, params = [] of String, &block : Process -> _)
		if @@simulation
			puts "simulation, do: #{cmd} #{params.join(" ")}"
			Process::Status.new 0
		else
			Process.run cmd, params, &block
		end
	end
end
